Skip to main content
GET
/
api
/
public
/
v1
/
city
cURL
curl --location 'https://www.headout.com/api/public/v1/city' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
  "items": [
    {
      "code": "<string>",
      "name": "<string>",
      "image": {
        "url": "<string>"
      }
    }
  ],
  "nextUrl": "<string>",
  "prevUrl": "<string>",
  "total": 123,
  "nextOffset": 123
}

Authorizations

Headout-Auth
string
header
required

Query Parameters

offset
string

Number of items to skip before starting to collect the result set.

limit
integer

Maximum number of items to return.

Response

200 - application/json

Successful response

items
object[]

The cities in this page of results.

nextUrl
string

Full URL to fetch the next page of results. Null if on the last page.

prevUrl
string

Full URL to fetch the previous page of results. Null if on the first page.

total
integer

Total number of cities across all pages.

nextOffset
integer

Offset value to use in the next request to retrieve the following page.